package com.bonus.zlpt.equip.mapper;

import com.bonus.zlpt.equip.api.domain.TypeInfo;

import java.util.List;

/**
 * 设备类型Mapper接口
 * 
 * @author xsheng
 * @date 2023-12-02
 */
public interface TypeInfoMapper 
{
    /**
     * 查询设备类型
     * 
     * @param typeId 设备类型主键
     * @return 设备类型
     */
    public TypeInfo selectTypeInfoByTypeId(Long typeId);

    /**
     * 查询设备类型列表
     * 
     * @param typeInfo 设备类型
     * @return 设备类型集合
     */
    public List<TypeInfo> selectTypeInfoList(TypeInfo typeInfo);

    /**
     * 新增设备类型
     * 
     * @param typeInfo 设备类型
     * @return 结果
     */
    public int insertTypeInfo(TypeInfo typeInfo);

    /**
     * 修改设备类型
     * 
     * @param typeInfo 设备类型
     * @return 结果
     */
    public int updateTypeInfo(TypeInfo typeInfo);

    /**
     * 删除设备类型
     * 
     * @param typeId 设备类型主键
     * @return 结果
     */
    public int deleteTypeInfoByTypeId(Long typeId);

    /**
     * 批量删除设备类型
     * 
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTypeInfoByTypeIds(Long[] typeIds);


    int selectCountByTypeId(Long typeId);


    List<TypeInfo> selectTypeList(TypeInfo typeInfo);
}
